﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using System.Net;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }


        public List<object> EmployeeID
        {
            get
            {
                var employeeID = OrderRepository.GetAllRecords().Select(s => s.EmployeeID).Distinct().ToList();
                var EmployeeID = new List<object>();
                foreach (var id in employeeID)
                {
                    EmployeeID.Add(new { value = id, text = id });
                }
                return EmployeeID;
            }
        }

        public List<object> ShipCountry
        {
            get
            {
                var shipCountry = OrderRepository.GetAllRecords().Select(s => s.ShipCountry).Distinct().ToList();
                var ShipCountry = new List<object>();
                foreach (var id in shipCountry)
                {
                    ShipCountry.Add(new { value = id, text = id });
                }
                return ShipCountry;
            }
        }

        public ActionResult Update(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }
    }
}

    